@import '../../../assets/styles/common';

.link-account {
  &__wrapper {
    position: relative;
    text-align: center;
  }

  &__cross {
    position: absolute;
    right:0;
    width: 4.5rem;
    cursor: pointer;

    &-img {
      width: 1rem;
      max-width: 1rem;
      cursor: pointer;
    }
  }

  &__icon {
    padding: 2rem 0;

    &-img {
      width:13rem;
      min-width:13rem;
    }
  }

  &-text {
    padding-bottom: 2rem;

    &__header {
      margin:0;
      font-style: italic;
      font-size: 2.8rem;
    }

    &__terms {
      margin: 0;
      font-style: italic;
      font-size: 1.4rem;
      text-decoration: none;
      cursor: pointer;
    }
  }

  &-button {
    width: 30rem;
    max-width: 30rem;
    cursor: pointer;
  }

  &-input {
    margin: 0 4rem 1rem 0;
  }

  &-error {
    display: flex;
    justify-content: center;
    margin-bottom: 2rem;
    color: $red;
  }
}
